summaryrefslogtreecommitdiff
path: root/os/platforms/v1/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'os/platforms/v1/run.sh')
-rwxr-xr-xos/platforms/v1/run.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/os/platforms/v1/run.sh b/os/platforms/v1/run.sh
new file mode 100755
index 00000000..525d7756
--- /dev/null
+++ b/os/platforms/v1/run.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+set -x
+
+. ../functions.sh
+
+
+cp config.txt "$FS/boot/config.txt"
+pkg_install \
+ kvmd \
+ mjpg-streamer-pikvm \
+ nginx
+
+cp index.html "$FS/srv/http/"
+cp kvmd.yaml "$FS/etc/"
+cp nginx.conf "$FS/etc/nginx/"
+rpi systemctl enable kvmd
+rpi systemctl enable nginx